# $Revision: 1.44 $, $Date: 2012/05/27 15:07:42 $
Summary:	User interface builder for GTK+ and GNOME
Summary(pl.UTF-8):	Budowniczy interfejsów dla GTK+ i GNOME
Name:		glade3
Version:	3.8.2
Release:	1
License:	GPL v2+3B
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/glade3/3.8/%{name}-%{version}.tar.xz
# Source0-md5:	b5da0ce717b2dc710e93a10b97c0f9ce
Patch0:		lib64.patch
URL:		http://glade.gnome.org/
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake >= 1:1.9
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	gnome-common
BuildRequires:	gnome-doc-utils >= 0.12.2
BuildRequires:	gtk+2-devel >= 2:2.24.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libbonoboui-devel >= 2.24.0
BuildRequires:	libgnomeui-devel >= 2.24.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	pkgconfig
BuildRequires:	python-pygtk-devel >= 2:2.14.0
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
Requires:	libgladeui = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Glade is a RAD tool to enable quick & easy development of user
interfaces for the GTK+ toolkit and the GNOME desktop environment.

%description -l pl.UTF-8
Glade jest narzędziem typu RAD (Rapid Application Development) do
szybkiego i wygodnego tworzenia interfejsu użytkownika opartych o
bibliotekę GTK+ i dla środowiska biurka GNOME.

%package -n libgladeui
Summary:	libgladeui library
Summary(pl.UTF-8):	Biblioteka libgladeui
Group:		Libraries

%description -n libgladeui
libgladeui library.

%description -n libgladeui -l pl.UTF-8
Biblioteka libgladeui.

%package -n libgladeui-devel
Summary:	Header files for libgladeui library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgladeui
Group:		Development/Libraries
Requires:	gtk+2-devel >= 2:2.24.0
Requires:	libgladeui = %{version}-%{release}
Requires:	libxml2-devel >= 1:2.6.31

%description -n libgladeui-devel
This is the package containing the header files for libgladeui
library.

%description -n libgladeui-devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki libgladeui.

%package -n libgladeui-static
Summary:	Static libgladeui library
Summary(pl.UTF-8):	Statyczna biblioteka libgladeui
Group:		Development/Libraries
Requires:	libgladeui-devel = %{version}-%{release}

%description -n libgladeui-static
Static libgladeui library.

%description -n libgladeui-static -l pl.UTF-8
Statyczna biblioteka libgladeui.

%package -n libgladeui-apidocs
Summary:	libgladeui API documentation
Summary(pl.UTF-8):	Dokumentacja API libgladeui
Group:		Documentation
Requires:	gtk-doc-common

%description -n libgladeui-apidocs
libgladeui API documentation.

%description -n libgladeui-apidocs -l pl.UTF-8
Dokumentacja API libgladeui.

%prep
%setup -q
%patch0 -p1

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	PYTHON_LIBS="-lpython" \
	PYTHON_LIB_LOC="%{_libdir}" \
	--enable-gtk-doc \
	--enable-user-manual \
	--with-html-dir=%{_gtkdocdir} \
	--disable-scrollkeeper \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/glade3/modules/*.{a,la} \
	$RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name} --all-name --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%scrollkeeper_update_postun
%update_desktop_database_postun
%update_icon_cache hicolor

%post	-n libgladeui -p /sbin/ldconfig
%postun -n libgladeui -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO ChangeLog
%attr(755,root,root) %{_bindir}/glade-3
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/modules
%attr(755,root,root) %{_libdir}/%{name}/modules/libgladegnome.so
%attr(755,root,root) %{_libdir}/%{name}/modules/libgladegtk.so
%attr(755,root,root) %{_libdir}/%{name}/modules/libgladepython.so
%{_datadir}/%{name}
%{_desktopdir}/glade-3.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/apps/*.svg

%files -n libgladeui
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgladeui-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgladeui-1.so.11

%files -n libgladeui-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgladeui-1.so
%{_includedir}/libgladeui-1.0
%{_pkgconfigdir}/gladeui-1.0.pc

%files -n libgladeui-static
%defattr(644,root,root,755)
%{_libdir}/libgladeui-1.a

%files -n libgladeui-apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gladeui

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: glade3.spec,v $
Revision 1.44  2012/05/27 15:07:42  megabajt
- updated to 3.8.2

Revision 1.43  2011/10/11 14:25:17  wiget
- up to 3.8.1

Revision 1.42  2011/03/23 19:00:10  wiget
- removed obsoleted rm
- rel. 8

Revision 1.41  2011/03/23 16:48:30  wiget
- drop libtool file
- rel. 7

Revision 1.40  2011/02/04 18:23:46  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.39  2010/12/31 15:03:22  wiget
- fix building python support on amd64
- fix loading libraries on amd64
- release 5

Revision 1.38  2010/07/09 10:09:31  arekm
- release 4

Revision 1.37  2010/07/08 07:49:54  arekm
- release 3

Revision 1.36  2010/01/30 01:14:10  megabajt
- %{__gtkdocize}
- release 2

Revision 1.35  2009/11/27 02:20:57  sparky
- BR: docbook-dtd412-xml

Revision 1.34  2009/07/02 14:48:17  megabajt
- updated to 3.6.7

Revision 1.33  2009/06/24 22:39:12  patrys
- 3.6.6

Revision 1.32  2009/06/15 13:09:22  megabajt
- updated to 3.6.5

Revision 1.31  2009/04/24 14:27:25  megabajt
- updated to 3.6.3

Revision 1.30  2009/04/16 19:57:42  megabajt
- updated to 3.6.2

Revision 1.29  2009/04/09 20:57:10  megabajt
- updated to 3.6.1

Revision 1.28  2009/03/16 19:14:04  megabajt
- updated to 3.6.0 (new soname); merged changes from DEVEL

Revision 1.27.2.1  2009/03/09 21:34:27  megabajt
- updated to 3.5.7

Revision 1.27  2009/02/11 09:35:31  megabajt
- reverted; 3.5.x is a development series

Revision 1.26  2009/01/25 23:13:23  vip
- up to 3.5.6

Revision 1.25  2008/11/13 08:35:19  arekm
- release 2

Revision 1.24  2008/05/15 17:56:40  megabajt
- updated to 3.4.5

Revision 1.23  2008-05-02 10:20:41  megabajt
- updated to 3.4.4

Revision 1.22  2008-03-22 12:01:18  megabajt
- updated to 3.4.3

Revision 1.21  2007-12-22 17:27:38  sls
- ver. 3.4.1

Revision 1.20  2007-11-28 13:06:14  tommat
- BR gnome-doc-utils

Revision 1.19  2007-11-28 12:47:08  tommat
- BR gnome-common for GNOME_COMMON_INIT macro

Revision 1.18  2007-09-17 15:53:14  patrys
- 3.4.0

Revision 1.17.2.1  2007/09/09 00:08:14  aflinta
- 3.3.4

Revision 1.17  2007/05/29 19:24:44  megabajt
- updated to 3.2.2

Revision 1.16  2007/05/02 22:34:25  megabajt
- updated to 3.2.1
- removed outdated desktop patch

Revision 1.15  2007/03/13 19:09:06  megabajt
- updated to 3.2.0; merged changes from DEVEL

Revision 1.14  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.12  2007/02/01 12:40:30  czarny
- reverted last change; 3.1 is already in DEVEL

Revision 1.11  2007/02/01 11:58:03  czarny
- up to 3.1.4

Revision 1.10  2007/01/19 08:20:01  megabajt
- up to 3.0.3 (series 3.1.x is unstable, so went on DEVEL branch)

Revision 1.9.2.2  2007/02/12 13:20:13  baggins
- converted to UTF-8

Revision 1.9.2.1  2007/01/19 07:53:56  megabajt
- updated to 3.1.4

Revision 1.9  2006/12/17 19:59:40  aredridel
- 3.1.2

Revision 1.8  2006/11/28 18:12:39  megabajt
- fix pl

Revision 1.7  2006/09/29 21:47:19  grzegol
- 3.0.2

Revision 1.6  2006/08/21 15:57:42  freetz
- 3.0.1

Revision 1.5  2006/08/12 09:31:26  ankry
- formatting

Revision 1.4  2006/08/12 07:58:32  freetz
- typo

Revision 1.3  2006/08/12 07:52:01  freetz
- final touch

Revision 1.2  2006/08/12 07:51:01  freetz
- removed trailing spaces

Revision 1.1  2006/08/12 07:47:46  freetz
- based on glade2.spec
